Delete a preview of a comment

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
DELETE /actions/tasks/{task_id}/comments/{comment_id}/preview-files/{preview_file_id}

Delete a preview of a comment of a task. The preview must be on the comment, and the comment must be on the task. Administrators and the managers of the project can use this route. Other users must be assignees of the task, supervisors of its department, or creators of its entity. You must also be able to read the comment. A client of the project cannot use this route. Use force=true to delete the files from the storage now. Else, the purge deletes them later. Only an administrator or a manager of the project can use force.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

  • comment_id string(uuid) Required

    Unique identifier of the comment

  • preview_file_id string(uuid) Required

    Unique identifier of the preview file

Query parameters

  • force boolean

    Delete the files from the storage now

    Default value is false.

Responses

  • 204

    The preview is deleted

  • 400

    An identifier is not valid

  • 403

    You cannot do actions on this task, or you use force and you are not a manager

  • 404

    The task, the comment or the preview does not exist, or they are not linked

DELETE /actions/tasks/{task_id}/comments/{comment_id}/preview-files/{preview_file_id}
curl -X DELETE "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/a24a6ea4-ce75-4665-a070-57453082c25/preview-files/a24a6ea4-ce75-4665-a070-57453082c25?force=" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/a24a6ea4-ce75-4665-a070-57453082c25/preview-files/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "force": ""
}
payload = None

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())